Skip to main content
POST
/
api
/
v2
/
{portalId}
/
auth
/
signin
Sign In
curl --request POST \
  --url https://api.example.com/api/v2/{portalId}/auth/signin \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallet": "<string>",
  "message": "<string>",
  "signature": "<string>"
}
'
{
  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwid2FsbGV0IjoiMHhmMzlmZDZlNTFhYWQ4OGY2ZjRjZTZhYjg4MjcyNzljZmZmYjkyMjY2IiwiaWF0IjoxNTE2MjM5MDIyfQ.-fu_kTkRsmXqWwwrmsSgb78S504bkkZXp_e92RaJTw0",
  "expiration": "2024-12-31T23:59:59.000Z"
}

Path Parameters

portalId
string<uuid>
required

unique portal id (provided by Magna)

Body

application/json

Body

wallet
string
required

wallet address to login with

platform
enum<string>
required
Available options:
EVM,
MOVE,
SOLANA,
OTHER
message
string
required

message that was signed

signature
string
required

signed message from the wallet owner

Response

Ok

Ok

accessToken
string
required

JWT access token for authenticated requests

expiration
string<date-time>
required

access token expiration date

submissionInfo
object
required